org.openmuc.openiec61850

## Class BasicDataAttribute

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

Direct Known Subclasses:
  BdaBitString, BdaBoolean, BdaEntryTime, BdaFloat32, BdaFloat64, BdaInt16, BdaInt16U, BdaInt32, BdaInt32U, BdaInt64, BdaInt8, BdaInt8U, BdaOctetString, BdaTimestamp, BdaUnicodeString, BdaVisibleString

    public abstract class BasicDataAttribute
    extends FcModelNode

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.util.List<BasicDataAttribute>` `getBasicDataAttributes()` Returns a list of all leaf nodes (basic data attributes) contained in the subtree of this model node.
`BdaType` `getBasicType()`
`ModelNode` `getChild(java.lang.String childName)` Returns the child node with the given name.
`ModelNode` `getChild(java.lang.String childName, Fc fc)` Returns the child node with the given name and functional constraint.
`java.util.Collection<ModelNode>` `getChildren()`
`boolean` `getDchg()`
`boolean` `getDupd()`
`boolean` `getQchg()`
`java.lang.String` `getSAddr()`
`java.util.Iterator<ModelNode>` `iterator()`
`abstract void` `setDefault()`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc, toString`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`copy, getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### getDchg

    public boolean getDchg()

#### getDupd

    public boolean getDupd()

#### getQchg

    public boolean getQchg()

#### getBasicType

    public BdaType getBasicType()

#### getSAddr

    public java.lang.String getSAddr()

#### getChild

    public ModelNode getChild(java.lang.String childName,
                              Fc fc)

Description copied from class: `ModelNode`
Returns the child node with the given name and functional constraint. The fc is ignored if this function is called on any model node other than logical node.

Overrides:
  `getChild` in class `ModelNode`
Parameters:
  `childName` - the name of the requested child node
  `fc` - the functional constraint of the requested child node
Returns:
  the child node with the given name and functional constrain

#### getChild

    public ModelNode getChild(java.lang.String childName)

Description copied from class: `ModelNode`
Returns the child node with the given name. Will always return null if called on a logical node because a logical node need the functional constraint to uniquely identify a child. For logical nodes use `getChild(String name, Fc fc)` instead.

Overrides:
  `getChild` in class `ModelNode`
Parameters:
  `childName` - the name of the requested child node
Returns:
  the child node with the given name.

#### getChildren

    public java.util.Collection<ModelNode> getChildren()

Overrides:
  `getChildren` in class `ModelNode`

#### iterator

    public java.util.Iterator<ModelNode> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<ModelNode>`
Overrides:
  `iterator` in class `ModelNode`

#### setDefault

    public abstract void setDefault()

#### getBasicDataAttributes

    public java.util.List<BasicDataAttribute> getBasicDataAttributes()

Description copied from class: `ModelNode`
Returns a list of all leaf nodes (basic data attributes) contained in the subtree of this model node.

Overrides:
  `getBasicDataAttributes` in class `ModelNode`
Returns:
  a list of all leaf nodes (basic data attributes) contained in the subtree of this model node.